Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036948
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2017-09-25 18:122018-01-08 18:20
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisionb5a736b4e262
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036948: Sales Invoice Dimensional Report takes long on environment with big amount of data

DescriptionSales Invoice Dimensional Report for one month takes long on environment with big amount of data.

- duration: 39659.872 ms
- m_transaction_cost table has 1449719 records.
Steps To Reproduce* Environment provided by Support Department

1) Open 'Sales Invoice Dimensional Report'

 From Date: April 1,2017
 To Date : May 31, 2017
 Organization : Metal Supermarkets GTA
 Buiness partner Group : Customer
 Dimension: Product
Proposed SolutionThe problem could be caused by this subquery:

SELECT Sum(cost) AS cost,
       m_transaction_id,
       c_currency_id
       FROM m_transaction_cost
       GROUP BY m_transaction_id,
                 c_currency_id
TagsNo tags attached.
Attached Files file icon query [^] (11,749 bytes) 2017-09-25 18:14 [Show Content]
 file icon query plan [^] (6,933 bytes) 2017-09-25 18:14 [Show Content]
txt file icon QueryPlanAfterChange.txt [^] (11,690 bytes) 2017-10-05 18:03 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099778)
AtulOpenbravo (developer)
2017-10-05 18:17

Test Plan

- Open 'Sales Invoice Dimensional Report' and apply following filters
  - From Date: April 1,2017
  - To Date : May 31, 2017
  - Organization : Metal Supermarkets GTA
  - Buiness partner Group : Customer
  - Dimension: Product

- Report takes approx. 54 secs to display information (Previously it took approx 1 min 35 secs).
(0100141)
hgbot (developer)
2017-10-30 12:28

Repository: erp/devel/pi
Changeset: b5a736b4e26268752f7e372e7820accf57f15e28
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Oct 05 19:43:11 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b5a736b4e26268752f7e372e7820accf57f15e28 [^]

Fixes Issue 36948: Sales Invoice Dimensional Report takes long on environment with
big amount of data

Avoid m_transaction_cost subquery to get the sum of transaction cost

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
---
(0100142)
dmiguelez (developer)
2017-10-30 12:30

Code Review + Testing Ok
(0101362)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-25 18:12 JONHM New Issue
2017-09-25 18:12 JONHM Assigned To => Triage Finance
2017-09-25 18:12 JONHM Modules => Core
2017-09-25 18:12 JONHM Triggers an Emergency Pack => No
2017-09-25 18:12 JONHM Note Added: 0099565
2017-09-25 18:13 JONHM Note Deleted: 0099565
2017-09-25 18:14 JONHM File Added: query
2017-09-25 18:14 JONHM File Added: query plan
2017-09-25 18:48 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-10-03 14:28 AtulOpenbravo Status new => scheduled
2017-10-05 18:03 AtulOpenbravo File Added: QueryPlanAfterChange.txt
2017-10-05 18:17 AtulOpenbravo Note Added: 0099778
2017-10-30 12:28 hgbot Checkin
2017-10-30 12:28 hgbot Note Added: 0100141
2017-10-30 12:28 hgbot Status scheduled => resolved
2017-10-30 12:28 hgbot Resolution open => fixed
2017-10-30 12:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b5a736b4e26268752f7e372e7820accf57f15e28 [^]
2017-10-30 12:30 dmiguelez Review Assigned To => dmiguelez
2017-10-30 12:30 dmiguelez Note Added: 0100142
2017-10-30 12:30 dmiguelez Status resolved => closed
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101362
2018-01-08 18:20 dmiguelez Fixed in Version => 3.0PR18Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker